> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations leadssold



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/leads/sold
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/leads/sold:
    get:
      tags:
        - Leads
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            default: ''
          required: false
          name: q
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            enum:
              - all
              - paid
              - unpaid
              - refunded
            default: all
          required: false
          name: filter
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: contactId
          in: query
      responses:
        '200':
          description: >-
            One page of the leads the organization sold that the caller can see,
            newest sale first, with the total matching count
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SoldLeadList'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    SoldLeadList:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              created_at:
                type: string
              price:
                type: number
              lead:
                type: object
                properties:
                  id:
                    type: string
                  salutation:
                    type: string
                    nullable: true
                  first_name:
                    type: string
                    nullable: true
                  last_name:
                    type: string
                    nullable: true
                required:
                  - id
                  - salutation
                  - first_name
                  - last_name
              contact:
                type: object
                properties:
                  id:
                    type: string
                  first_name:
                    type: string
                  last_name:
                    type: string
                required:
                  - id
                  - first_name
                  - last_name
            required:
              - created_at
              - price
              - lead
              - contact
        total:
          type: integer
          minimum: 0
      required:
        - items
        - total
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.